VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2955
   ClientLeft      =   1620
   ClientTop       =   1830
   ClientWidth     =   10140
   LinkTopic       =   "Form1"
   ScaleHeight     =   2955
   ScaleWidth      =   10140
   Begin ComctlLib.ListView ListView1 
      Height          =   2175
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3015
      _ExtentX        =   5318
      _ExtentY        =   3836
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   327682
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   0
   End
   Begin ComctlLib.ImageList imgSmall 
      Left            =   1440
      Top             =   2280
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   12632256
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   1
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "Form1.frx":0000
            Key             =   ""
         EndProperty
      EndProperty
   End
   Begin ComctlLib.ImageList imgLarge 
      Left            =   720
      Top             =   2280
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   32
      ImageHeight     =   32
      MaskColor       =   12632256
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   1
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "Form1.frx":0352
            Key             =   ""
         EndProperty
      EndProperty
   End
   Begin VB.Menu mnuView 
      Caption         =   "&View"
      Begin VB.Menu mnuViewChoice 
         Caption         =   "&Icons"
         Index           =   0
      End
      Begin VB.Menu mnuViewChoice 
         Caption         =   "&Small Icons"
         Index           =   1
      End
      Begin VB.Menu mnuViewChoice 
         Caption         =   "&List"
         Index           =   2
      End
      Begin VB.Menu mnuViewChoice 
         Caption         =   "&Report"
         Index           =   3
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
Dim db_file As String
Dim conn As ADODB.Connection
Dim rs As ADODB.Recordset
Dim column_header As ColumnHeader
Dim list_item As ListItem

    ' Create the column headers.
    Set column_header = ListView1. _
        ColumnHeaders.Add(, , "Title", _
        TextWidth("Ready-to-Run Visual Basic Algorithms"))
    Set column_header = ListView1. _
        ColumnHeaders.Add(, , "URL", _
        TextWidth("http://www.vb-helper.com/vbgp.htm"))
    Set column_header = ListView1. _
        ColumnHeaders.Add(, , "ISBN", _
        TextWidth("0-000-00000-0"))
    Set column_header = ListView1. _
        ColumnHeaders.Add(, , "Pages", _
        TextWidth("Pages"))
    Set column_header = ListView1. _
        ColumnHeaders.Add(, , "CD", _
        TextWidth("False"))
    Set column_header = ListView1. _
        ColumnHeaders.Add(, , "Year", _
        TextWidth("0000"))

    ' Start with report view.
    mnuViewChoice_Click lvwReport

    ' Associate the ImageLists with the
    ' ListView's Icons and SmallIcons properties.
    ListView1.Icons = imgLarge
    ListView1.SmallIcons = imgSmall

    ' Get the data.
    db_file = App.Path
    If Right$(db_file, 1) <> "\" Then db_file = db_file & "\"
    db_file = db_file & "books.mdb"

    ' Open a connection.
    Set conn = New ADODB.Connection
    conn.ConnectionString = _
        "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Data Source=" & db_file & ";" & _
        "Persist Security Info=False"
    conn.Open
    Set rs = conn.Execute("SELECT * FROM Books ORDER BY Title", , adCmdText)

    ' Load the data.
    Do While Not rs.EOF
        Set list_item = ListView1.ListItems.Add(, , rs!Title)
        list_item.SubItems(1) = rs!URL
        list_item.SubItems(2) = rs!ISBN
        list_item.SubItems(3) = rs!Pages
        list_item.SubItems(4) = rs!CD
        list_item.SubItems(5) = rs!Year

        ' Get the next record.
        rs.MoveNext
    Loop

    ' Close the recordset and connection.
    rs.Close
    conn.Close
End Sub
Private Sub Form_Resize()
    ListView1.Move 0, 0, ScaleWidth, ScaleHeight
End Sub


Private Sub mnuViewChoice_Click(Index As Integer)
Dim i As Integer

    ' Display the selected view style.
    ListView1.View = Index
    
    ' Check this menu item.
    For i = 0 To 3
        If i = Index Then
            mnuViewChoice(i).Checked = True
        Else
            mnuViewChoice(i).Checked = False
        End If
    Next i
End Sub


